<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>LoggingOutput (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="LoggingOutput (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/logging/LoggingManager.html" title="interface in org.gradle.api.logging"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/logging/LoggingOutput.html" target="_top">Frames</a></li>
<li><a href="LoggingOutput.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.logging</div>
<h2 title="Interface LoggingOutput" class="title">Interface LoggingOutput</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/logging/LoggingManager.html" title="interface in org.gradle.api.logging">LoggingManager</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">LoggingOutput</span></pre>
<div class="block">Provides access to the output of the Gradle logging system.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/LoggingOutput.html#addStandardErrorListener(org.gradle.api.logging.StandardOutputListener)">addStandardErrorListener</a></strong>(<a href="../../../../org/gradle/api/logging/StandardOutputListener.html" title="interface in org.gradle.api.logging">StandardOutputListener</a>&nbsp;listener)</code>
<div class="block">Adds a listener which receives output written to standard error by the Gradle logging system.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/LoggingOutput.html#addStandardOutputListener(org.gradle.api.logging.StandardOutputListener)">addStandardOutputListener</a></strong>(<a href="../../../../org/gradle/api/logging/StandardOutputListener.html" title="interface in org.gradle.api.logging">StandardOutputListener</a>&nbsp;listener)</code>
<div class="block">Adds a listener which receives output written to standard output by the Gradle logging system.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/LoggingOutput.html#removeStandardErrorListener(org.gradle.api.logging.StandardOutputListener)">removeStandardErrorListener</a></strong>(<a href="../../../../org/gradle/api/logging/StandardOutputListener.html" title="interface in org.gradle.api.logging">StandardOutputListener</a>&nbsp;listener)</code>
<div class="block">Removes a listener from standard error.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/LoggingOutput.html#removeStandardOutputListener(org.gradle.api.logging.StandardOutputListener)">removeStandardOutputListener</a></strong>(<a href="../../../../org/gradle/api/logging/StandardOutputListener.html" title="interface in org.gradle.api.logging">StandardOutputListener</a>&nbsp;listener)</code>
<div class="block">Removes a listener from standard output.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addStandardOutputListener(org.gradle.api.logging.StandardOutputListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addStandardOutputListener</h4>
<pre>void&nbsp;addStandardOutputListener(<a href="../../../../org/gradle/api/logging/StandardOutputListener.html" title="interface in org.gradle.api.logging">StandardOutputListener</a>&nbsp;listener)</pre>
<div class="block">Adds a listener which receives output written to standard output by the Gradle logging system.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>listener</code> - The listener to add.</dd></dl>
</li>
</ul>
<a name="removeStandardOutputListener(org.gradle.api.logging.StandardOutputListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeStandardOutputListener</h4>
<pre>void&nbsp;removeStandardOutputListener(<a href="../../../../org/gradle/api/logging/StandardOutputListener.html" title="interface in org.gradle.api.logging">StandardOutputListener</a>&nbsp;listener)</pre>
<div class="block">Removes a listener from standard output.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>listener</code> - The listener to remove.</dd></dl>
</li>
</ul>
<a name="addStandardErrorListener(org.gradle.api.logging.StandardOutputListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addStandardErrorListener</h4>
<pre>void&nbsp;addStandardErrorListener(<a href="../../../../org/gradle/api/logging/StandardOutputListener.html" title="interface in org.gradle.api.logging">StandardOutputListener</a>&nbsp;listener)</pre>
<div class="block">Adds a listener which receives output written to standard error by the Gradle logging system.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>listener</code> - The listener to add.</dd></dl>
</li>
</ul>
<a name="removeStandardErrorListener(org.gradle.api.logging.StandardOutputListener)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>removeStandardErrorListener</h4>
<pre>void&nbsp;removeStandardErrorListener(<a href="../../../../org/gradle/api/logging/StandardOutputListener.html" title="interface in org.gradle.api.logging">StandardOutputListener</a>&nbsp;listener)</pre>
<div class="block">Removes a listener from standard error.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>listener</code> - The listener to remove.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/logging/LoggingManager.html" title="interface in org.gradle.api.logging"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/logging/LoggingOutput.html" target="_top">Frames</a></li>
<li><a href="LoggingOutput.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
